#import "Regular.h"

@implementation Regular

- (void)Calc:(id)sender
{
    // Decalare Variables	
    float price, catax, total;

    // Assign the number in the field to the price variable
    price = [Price floatValue];

    // Do a little calculation
    catax = (price*0.0825);
    total = (price+catax);

    // Display result in the panel
    // Sets TextField as a NSFloatType
    [[CATax cell] setEntryType:NSFloatType];
    [[Total cell] setEntryType:NSFloatType];
    // Format the TextField with two number at the left of the floating point
    // and two numbers at the right of the floating point.
    [[CATax cell] setFloatingPointFormat:NO left:3 right:2];
    [[Total cell] setFloatingPointFormat:NO left:3 right:2];

    [CATax setFloatValue:catax];// Display result
    [Total setFloatValue:total];

    // Bring the cusor back to the Price field and select it.
    [Price selectText:self];
}


- (void)windowDidBecomeKey:(NSNotification *)notification;
{

    // Brings the cursor to the field and selects text
    [Price selectText:self];

}

- (void)ShowInfoPanel:(id)sender
{
    if (!InfoPanel)
    {
        // find the bundle in the mainBundle
        Class class;
        NSBundle *bundle;
        NSBundle *mainBundle = [NSBundle mainBundle];

        bundle = [NSBundle bundleWithPath:
            [mainBundle pathForResource:@"InfoPanel" ofType:@"bundle"]];

        // alloc/init and show:
        if (class = [bundle principalClass])
        {
            InfoPanel = [[class alloc] init];
        }
        else
        {
            NSLog(@"Problem loading InfoPanel");
            return;
        }
    }

    [InfoPanel show:nil];
}

- (void)ShowMoreInfo:(id)sender
{
    if (!MoreInfo)
    {
        // find the bundle in the mainBundle
        Class class;
        NSBundle *bundle;
        NSBundle *mainBundle = [NSBundle mainBundle];

        bundle = [NSBundle bundleWithPath:
            [mainBundle pathForResource:@"MoreInfo" ofType:@"bundle"]];

        // alloc/init and show:
        if (class = [bundle principalClass])
        {
            MoreInfo = [[class alloc] init];
        }
        else
        {
            NSLog(@"Problem loading MoreInfo");
            return;
        }
    }

    [MoreInfo show:nil];
}



@end
